function ponAccion(key){

	document.formListadoCuestionariosSMAnu.accion.value=key;

	document.formListadoCuestionariosSMAnu.submit();

}



function onLoadPage() 

{

	radioListado  = document.all['niCuesSMAnu']; 

	selectedradio = 0 ; 

	if (radioListado)

	{

		if (radioListado[selectedradio]){

			radioListado[selectedradio].click();

		}else{

			radioListado.click();

		}

		ponerRightsControl(document.forms["formListadoCuestionariosSMAnu"].elements["modificacion"],false);

		ponerRightsControl(document.forms["formListadoCuestionariosSMAnu"].elements["consulta"],false);

		ponerRightsControl(document.forms["formListadoCuestionariosSMAnu"].elements["borrar"],false);

		ponerRightsControl(document.forms["formListadoCuestionariosSMAnu"].elements["envio"],false);

	}

	else

	{

		ponerRightsControl(document.forms["formListadoCuestionariosSMAnu"].elements["modificacion"],true);

		ponerRightsControl(document.forms["formListadoCuestionariosSMAnu"].elements["consulta"],true);

		ponerRightsControl(document.forms["formListadoCuestionariosSMAnu"].elements["borrar"],true);

		ponerRightsControl(document.forms["formListadoCuestionariosSMAnu"].elements["envio"],true);

		

		//Como no hay registros se saca un mensaje informativo, siempre y cuando no se haya mostrado el mensaje de errores

		if(!document.all["tableError"])

		{

			document.all["informacion"].innerHTML= msgNoCues;

		}

		

	}

}

/*function todosFirmados()

{

	var GDTP = new ARQ_GDTP();	

	GDTP.addGroup("APP_PARAMETERS");	

	GDTP.addProperty("APP_PARAMETERS","CLASSNAME","q02b.exe.cuestionariosSMAnu.launcher.Q02bCuestionariosSMAnuLauncher");	

	

	//llama a proceso del jspBean InformesImplBean

	GDTP.addProperty("APP_PARAMETERS","METHOD","todosFirmadosSMAnu");

	// paso param de app es opcional

	GDTP.addGroup("APP_DATA");		

	// paso datos y qda en response

	var response = Comm.submitGDTP(GDTP,"/q02bCuestionariosWar/comunJSP/q02blauncher.jsp?"+ dameIndicativoNoPortalParaUrl(),"POST");

	var result = response.getProperty("RESULT_1", "RESULT");

	if(result == "OK")

	{

		var firmado = response.getProperty("RESULT_1", "firmado");

		if (firmado == "true")

		{

			document.all['todosFirmados'].checked=true;

		}

	}

	return response;

}*/



function ponerRightsControl(control,blnDisabled)

{

	control.disabled=blnDisabled;

}



function firmar()

{

	var settings ='scrollbars=1,';

	 settings +='statusbar=no,';

	 settings +='resizable=no,';

	 settings +='width=584,';	

	 settings +='height=500,';

	 settings +='top=10,';

	 settings +='left=100,';	

	 window.open(ARQ_appRoot + "/cuestionariosSMJSP/q02bIrFirmaCuestionariosSMAnu.do?"+ dameIndicativoNoPortalParaUrl(),'firma_cuestionarios',settings);

	 return false;

	

}



